<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('packages', function (Blueprint $table) {
            if (! Schema::hasColumn('packages', 'included_package_slug')) {
                $table->string('included_package_slug')->nullable()->after('type');
                $table->index(['type', 'included_package_slug']);
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('packages', function (Blueprint $table) {
            if (Schema::hasColumn('packages', 'included_package_slug')) {
                $table->dropIndex(['type', 'included_package_slug']);
                $table->dropColumn('included_package_slug');
            }
        });
    }
};
